Package org.gradle.api.component

## Interface ComponentWithVariants

- All Superinterfaces:
    `Named`, `SoftwareComponent`

      public interface ComponentWithVariants
      extends SoftwareComponent

  Represents a `SoftwareComponent` that provides one or more mutually exclusive children, or variants.
  Since:
    4.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<? extends SoftwareComponent>` | `getVariants()` |

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getVariants

          java.util.Set<? extends SoftwareComponent> getVariants()